Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228046 - grub hangs at "loading stage2" with serial console
Summary: grub hangs at "loading stage2" with serial console
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: grub
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 18:20 UTC by Laurence Darby
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 18:38:47 UTC


Attachments (Terms of Use)

Description Laurence Darby 2007-02-09 18:20:39 UTC
Description of 
problem:

This could be considered a bug in either kickstart or grub, I'm not sure.

The hardware is a bit old, Intel P3 1GZ, aic7xxx scsi drives, bios is 
PhoenixBIOS 4.0 Release 6 / STL2 1.7. It's set to redirect to the serial port.

After installing with kickstart, the grub/menu.lst contains:
serial --unit=1 --speed=19200
terminal --timeout=5 serial console

These cause grub to hang, with nothing on the serial console and "GRUB loading 
stage2" on the vga console.

It would not be so bad if the %post script could overwrite the file with 
something that works, however the bootloader is installed after the %post 
script, so it's not really a %post script at all.

In the the stage2.img filesystem, I patched /usr/lib/booty/bootloaderInfo.py 
like this:

--- bootloaderInfo.py.orig      2007-02-09 18:00:49.000000000 +0000
+++ bootloaderInfo.py   2007-02-09 16:25:18.000000000 +0000
@@ -689,8 +689,8 @@
                 # reasonable default
                 speed = "9600"

-            f.write("serial --unit=%s --speed=%s\n" %(unit, speed))
-            f.write("terminal --timeout=10 serial console\n")
+            #f.write("serial --unit=%s --speed=%s\n" %(unit, speed))
+            #f.write("terminal --timeout=10 serial console\n")
         else:
             # we only want splashimage if they're not using a serial console
             if os.access("%s/boot/grub/splash.xpm.gz" %(instRoot,), os.R_OK):



recompiled them to .pyc files, copied them to the other hd and net .img's 
rebuilt the images with mkcramfs, then lo and behold grub prints its menu to 
the serial console anyway, and proceeds to boot linux.


How reproducible:

Always or never, see below.

Steps to 
Reproduce:
1. Install using kickstart on a serial console.  
2. Probably depends on our exact hardware so you probably wont be able to 
reproduce this.
3.

Actual results:


Expected results:


Additional info:

This RHEL AS 3, no updates applied.  I checked all the updates to grub I could 
find, none mention anything about fixing serial console support.    If later 
versions of kickstart run the %post script at the *END* of the installation 
then that would be an acceptable workaround.

Comment 1 Laurence Darby 2007-02-12 19:00:15 UTC
I'm sorry I forgot, using LILO instead is an easier workaround...





Comment 2 RHEL Product and Program Management 2007-10-19 18:38:47 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.